<ui:composition xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <s:div id="addDemE">
        <s:div rendered="#{zfp}" styleClass="form-horizontal">
            <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                <ui:param name="id" value="zfp1Input"/>
                <ui:define name="label">#{messages['gazelle.pam.SocioprofessionalOccupation']}</ui:define>
                <h:selectOneMenu value="#{demographics.socioProfessionalOccupation}"
                                 id="zfp1Input" styleClass="form-control gzl-select-text">
                    <f:selectItems
                            value="#{valueSet.getListOfConcepts('HL79107')}"/>
                </h:selectOneMenu>
            </ui:decorate>
            <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                <ui:param name="id" value="zfp2Input"/>
                <ui:define name="label">#{messages['gazelle.pam.SocioprofessionalGroup']}</ui:define>
                <h:selectOneMenu value="#{demographics.socioProfessionalGroup}"
                                 id="zfp2Input" styleClass="form-control gzl-select-text">
                    <f:selectItems
                            value="#{valueSet.getListOfConcepts('HL79108')}"/>
                </h:selectOneMenu>
            </ui:decorate>
        </s:div>
        <s:div id="pregnancy">
            <s:decorate template="/layout/form/_form_checkbox_horizontal_3-9.xhtml">
                <h:selectBooleanCheckbox value="#{demographics.pregnant}">
                    <a4j:ajax event="change" render="pregnancy"/>
                </h:selectBooleanCheckbox>
                #{messages['gazelle.pam.IsThePatientPregnant']}
            </s:decorate>
            <s:div styleClass="form-inline" rendered="#{demographics.pregnant}">
                <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:param name="id" value="gestationInput"/>
                    <ui:define name="label">#{messages['gazelle.pam.NumberOfWeeksOfGestation']}</ui:define>
                    <rich:inputNumberSpinner value="#{demographics.numberOfWeeksOfGestation}" id="gestationInput"
                                             minValue="0" maxValue="50"/>
                </ui:decorate>
            </s:div>
        </s:div>
        <s:decorate template="/layout/form/_form_checkbox_horizontal_3-9.xhtml">
            <h:selectBooleanCheckbox value="#{demographics.smsConsent}"/>
            #{messages['gazelle.pam.SMSConsent']}
        </s:decorate>
        <label class="control-label">Date de naissance carte Vitale</label>

        <div class="form-horizontal">
            <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                <ui:param name="id" value="dayInput"/>
                <ui:define name="label">#{messages['gazelle.pam.Day']}</ui:define>
                <h:selectOneMenu value="#{demographics.weekInMonth}" id="dayInput"
                                 styleClass="form-control">
                    <f:selectItems value="#{demographics.getListWeekInMonth()}"/>
                </h:selectOneMenu>
            </ui:decorate>
            <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                <ui:param name="id" value="monthInput"/>
                <ui:define name="label">#{messages['gazelle.pam.Month']}</ui:define>
                <rich:inputNumberSpinner value="#{demographics.month}" id="monthInput"
                                         minValue="0" maxValue="50"/>
            </ui:decorate>
            <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                <ui:param name="id" value="yearInput"/>
                <ui:define name="label">#{messages['gazelle.pam.Year']}</ui:define>
                <rich:inputNumberSpinner value="#{demographics.yearOfBirth}" id="yearInput"
                                         minValue="1850" maxValue="2100"/>
            </ui:decorate>
        </div>
        <div class="form-horizontal">
            <s:decorate template="/layout/form/_form_checkbox_horizontal_3-9.xhtml">
                <h:selectBooleanCheckbox value="#{demographics.dateOfBirthCorrected}"/>
                Date de naissance corrigée
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                <ui:param name="id" value="identityAcquisitionModeInput"/>
                <ui:define name="label">Mode d'obtention de l'identité</ui:define>
                <h:selectOneMenu value="#{demographics.identityAcquisitionMode}"
                                 id="identityAcquisitionModeInput" styleClass="form-control gzl-select-text">
                    <f:selectItems
                            value="#{valueSet.getListOfConcepts('IDENTITY_ACQUISITION_MODE')}"/>
                </h:selectOneMenu>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                <ui:param name="id" value="proofOfIdentityInput"/>
                <ui:define name="label">Justificatif d'identité</ui:define>
                <h:selectOneMenu value="#{demographics.proofOfIdentity}"
                                 id="proofOfIdentityInput" styleClass="form-control gzl-select-text">
                    <f:selectItems
                            value="#{valueSet.getListOfConcepts('PROOF_OF_IDENTITY')}"/>
                </h:selectOneMenu>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                <ui:define name="label">Valide jusqu'au</ui:define>
                <ui:param name="id" value="validityDate"/>
                <rich:calendar id="validityDate" value="#{demographics.documentExpirationDate}"
                               locale="#{localeSelector.localeString}"
                               datePattern="dd/MM/yyyy" showApplyButton="false" style="width:200px">
                </rich:calendar>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                <ui:define name="label">Date d'interrogation du téléservice INSi</ui:define>
                <ui:param name="id" value="dateOfRequest"/>
                <rich:calendar id="dateOfRequest" value="#{demographics.dateOfTheInsiWebserviceRequest}"
                               locale="#{localeSelector.localeString}"
                               datePattern="dd/MM/yyyy" showApplyButton="false" style="width:200px">
                </rich:calendar>
            </s:decorate>
        </div>
    </s:div>
</ui:composition>
